Package com.scriptel.proscript

## Class Resource

- java.lang.Object
- - com.scriptel.proscript.Resource

- Direct Known Subclasses:
    `ResourceGraphic`, `ResourceInvalid`, `ResourceText`

      public abstract class Resource
      extends java.lang.Object

  This class represents resources that the signature pad can store. Currently they are resources, static text, and invalids.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Resource()` | Protected constructor, construct children instead.
    `protected` | `Resource​(int resourceNumber)` | Protected constructor, used by children to create new resources.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getResourceNumber()` | Gets the id number of this resource.
    `void` | `setResourceNumber​(int resourceNumber)` | Sets the id number of this resource.
    `java.lang.String` | `toString()` | Prints this object as a human readable string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Resource

          protected Resource()

      Protected constructor, construct children instead.

    - #### Resource

          protected Resource​(int resourceNumber)

      Protected constructor, used by children to create new resources.
      Parameters:
        `resourceNumber` - resource id in the device

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Prints this object as a human readable string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Human readable string.

    - #### getResourceNumber

          public int getResourceNumber()

      Gets the id number of this resource.
      Returns:
        Resource number

    - #### setResourceNumber

          public void setResourceNumber​(int resourceNumber)

      Sets the id number of this resource.
      Parameters:
        `resourceNumber` - sets the new id for this resource